export declare class Functions {
    private static _sysFunc;
    private static _userFunc;
    static registerSystemFunction(name: string, func: Function): void;
    static registerUserFunction(name: string, func: Function): void;
    static registerNamedUserFunction(func: Function): void;
    static registerSystemFunctions(funcs: {
        name: string;
        func: Function;
    }[]): void;
    static registerUserFunctions(funcs: {
        name: string;
        func: Function;
    }[]): void;
    static registerNamedUserFunctions(funcs: Function[]): void;
    static unregisterUserFunction(name: string): boolean;
    static getFunction(name: string): Function | undefined;
}
